Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.propertybroker.property
Interface Parameter

All Known Subinterfaces:
  ParameterController

    public interface Parameter

An action (encapsulated in the `Action` interface) is associated with several parameters (encapsulated in the `Parameter` interface), and each parameter is associated with a property (encapsulated in the `Property` interface). This interface is used to provide additional information about how a property is to be passed to/from the specific action it is associated with. This interface has no dependence on a specific runtime environment such as WebSphere Portal, as it is intended for reuse in any runtime environment where brokered communication may be supported for components.

In the WebSphere Portal runtime environment, `Action`, `Property` and associated `Parameter` objects may be programmatically constructed using `PropertyBrokerService`, followed by invoking the setters, or may be implicitly created by the runtime from information provided through a WSDL file.
The implementation class for this interface must implement Serializable.

Since:
  5.1.0.1
See Also:
  `PropertyBrokerService`, `Action`, `Property`, `ActionController`, `ParameterController`

Method Summary
`Action` | `getAction()` Returns the associated `Action` object.
`ParameterBindingType` | `getBindingType()` Returns where the parameter is bound.
`java.lang.String` | `getDescription(java.util.Locale locale)` Returns a string containing a description of the parameter, suitable for display by tools or as help text.
`java.lang.String` | `getName()` Returns the parameter name.
`Property` | `getProperty()` Returns the associated `Property` object.
`java.util.Locale[]` | `getSupportedLocales()` Returns the locales supported for the displayable text associated with the parameter, such as its title and description.
`java.lang.String` | `getTitle(java.util.Locale locale)` Returns a string containing a short description of the parameter, suitable for display by tools or as help text.
`boolean` | `isPresentIfNullValue()` Returns a boolean value indicating if a null value for the current parameter should still trigger associated actions (for example, due to wires having been created) i.e, the broker uses this to determine if a parameter which is present but null, should be treated as if it is absent.

Method Detail

### getProperty

    Property getProperty()

  Returns the associated `Property` object. The return value will not be null.

  Returns:
    the associated `Property` object
  See Also:
    `Property`

### getAction

    Action getAction()

  Returns the associated `Action` object. The return value will not be null.

  Returns:
    the associated `Action` object
  See Also:
    `Action`

### getName

    java.lang.String getName()

  Returns the parameter name. The parameter name defaults to the associated `Property` name.

  Returns:
    a `String` containing the name of the parameter.

### getBindingType

    ParameterBindingType getBindingType()

  Returns where the parameter is bound.

  Returns:
    a `ParameterBindingType` that specifies where the parameter is bound. `ParameterBindingType` also defines specific constant values which are recognized in the WebSphere Portal runtime environment.
  See Also:
    `ParameterBindingType`

### getTitle

    java.lang.String getTitle(java.util.Locale locale)

  Returns a string containing a short description of the parameter, suitable for display by tools or as help text. An exact match for the locale is used, and if no title was stored for the locale, null is returned.

  Parameters:
    `locale` - the current locale
  Returns:
    a `String` containing a short description of the parameter.

### getDescription

    java.lang.String getDescription(java.util.Locale locale)

  Returns a string containing a description of the parameter, suitable for display by tools or as help text. An exact match for the locale is used, and if no description was stored for the locale, null is returned.

  Parameters:
    `locale` - the current locale
  Returns:
    a `String` containing a description of the parameter.

### getSupportedLocales

    java.util.Locale[] getSupportedLocales()

  Returns the locales supported for the displayable text associated with the parameter, such as its title and description. If no supported locales were set, a zero-length array is returned.

  Returns:
    the array of Locales

### isPresentIfNullValue

    boolean isPresentIfNullValue()

  Returns a boolean value indicating if a null value for the current parameter should still trigger associated actions (for example, due to wires having been created) i.e, the broker uses this to determine if a parameter which is present but null, should be treated as if it is absent. The default value is false (a null value is treated as if the parameter is absent).

  Returns:
    the boolean value

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD